Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network232.192.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
232.192.0.0
Broadcast address
232.223.255.255
First usable
232.192.0.1
Last usable
232.223.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E8C00000 · Integer 3904897024 to 3906994175
Reverse DNS zones
192.232.in-addr.arpa
193.232.in-addr.arpa
194.232.in-addr.arpa
195.232.in-addr.arpa
196.232.in-addr.arpa
197.232.in-addr.arpa
198.232.in-addr.arpa
199.232.in-addr.arpa
200.232.in-addr.arpa
201.232.in-addr.arpa
202.232.in-addr.arpa
203.232.in-addr.arpa
204.232.in-addr.arpa
205.232.in-addr.arpa
206.232.in-addr.arpa
207.232.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101000.11000000.00000000.00000000232.192.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network11101000.11000000.00000000.00000000232.192.0.0
Broadcast11101000.11011111.11111111.11111111232.223.255.255
Split into smaller subnets/22

232.192.0.0/11 makes 2,048 subnets of /22; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1232.192.0.0/22232.192.0.1 to 232.192.3.254232.192.3.2551,022
2232.192.4.0/22232.192.4.1 to 232.192.7.254232.192.7.2551,022
3232.192.8.0/22232.192.8.1 to 232.192.11.254232.192.11.2551,022
4232.192.12.0/22232.192.12.1 to 232.192.15.254232.192.15.2551,022
5232.192.16.0/22232.192.16.1 to 232.192.19.254232.192.19.2551,022
6232.192.20.0/22232.192.20.1 to 232.192.23.254232.192.23.2551,022
7232.192.24.0/22232.192.24.1 to 232.192.27.254232.192.27.2551,022
8232.192.28.0/22232.192.28.1 to 232.192.31.254232.192.31.2551,022
9232.192.32.0/22232.192.32.1 to 232.192.35.254232.192.35.2551,022
10232.192.36.0/22232.192.36.1 to 232.192.39.254232.192.39.2551,022
11232.192.40.0/22232.192.40.1 to 232.192.43.254232.192.43.2551,022
12232.192.44.0/22232.192.44.1 to 232.192.47.254232.192.47.2551,022
13232.192.48.0/22232.192.48.1 to 232.192.51.254232.192.51.2551,022
14232.192.52.0/22232.192.52.1 to 232.192.55.254232.192.55.2551,022
15232.192.56.0/22232.192.56.1 to 232.192.59.254232.192.59.2551,022
16232.192.60.0/22232.192.60.1 to 232.192.63.254232.192.63.2551,022
17232.192.64.0/22232.192.64.1 to 232.192.67.254232.192.67.2551,022
18232.192.68.0/22232.192.68.1 to 232.192.71.254232.192.71.2551,022
19232.192.72.0/22232.192.72.1 to 232.192.75.254232.192.75.2551,022
20232.192.76.0/22232.192.76.1 to 232.192.79.254232.192.79.2551,022
21232.192.80.0/22232.192.80.1 to 232.192.83.254232.192.83.2551,022
22232.192.84.0/22232.192.84.1 to 232.192.87.254232.192.87.2551,022
23232.192.88.0/22232.192.88.1 to 232.192.91.254232.192.91.2551,022
24232.192.92.0/22232.192.92.1 to 232.192.95.254232.192.95.2551,022
25232.192.96.0/22232.192.96.1 to 232.192.99.254232.192.99.2551,022
26232.192.100.0/22232.192.100.1 to 232.192.103.254232.192.103.2551,022
27232.192.104.0/22232.192.104.1 to 232.192.107.254232.192.107.2551,022
28232.192.108.0/22232.192.108.1 to 232.192.111.254232.192.111.2551,022
29232.192.112.0/22232.192.112.1 to 232.192.115.254232.192.115.2551,022
30232.192.116.0/22232.192.116.1 to 232.192.119.254232.192.119.2551,022
31232.192.120.0/22232.192.120.1 to 232.192.123.254232.192.123.2551,022
32232.192.124.0/22232.192.124.1 to 232.192.127.254232.192.127.2551,022
33232.192.128.0/22232.192.128.1 to 232.192.131.254232.192.131.2551,022
34232.192.132.0/22232.192.132.1 to 232.192.135.254232.192.135.2551,022
35232.192.136.0/22232.192.136.1 to 232.192.139.254232.192.139.2551,022
36232.192.140.0/22232.192.140.1 to 232.192.143.254232.192.143.2551,022
37232.192.144.0/22232.192.144.1 to 232.192.147.254232.192.147.2551,022
38232.192.148.0/22232.192.148.1 to 232.192.151.254232.192.151.2551,022
39232.192.152.0/22232.192.152.1 to 232.192.155.254232.192.155.2551,022
40232.192.156.0/22232.192.156.1 to 232.192.159.254232.192.159.2551,022
41232.192.160.0/22232.192.160.1 to 232.192.163.254232.192.163.2551,022
42232.192.164.0/22232.192.164.1 to 232.192.167.254232.192.167.2551,022
43232.192.168.0/22232.192.168.1 to 232.192.171.254232.192.171.2551,022
44232.192.172.0/22232.192.172.1 to 232.192.175.254232.192.175.2551,022
45232.192.176.0/22232.192.176.1 to 232.192.179.254232.192.179.2551,022
46232.192.180.0/22232.192.180.1 to 232.192.183.254232.192.183.2551,022
47232.192.184.0/22232.192.184.1 to 232.192.187.254232.192.187.2551,022
48232.192.188.0/22232.192.188.1 to 232.192.191.254232.192.191.2551,022
49232.192.192.0/22232.192.192.1 to 232.192.195.254232.192.195.2551,022
50232.192.196.0/22232.192.196.1 to 232.192.199.254232.192.199.2551,022
51232.192.200.0/22232.192.200.1 to 232.192.203.254232.192.203.2551,022
52232.192.204.0/22232.192.204.1 to 232.192.207.254232.192.207.2551,022
53232.192.208.0/22232.192.208.1 to 232.192.211.254232.192.211.2551,022
54232.192.212.0/22232.192.212.1 to 232.192.215.254232.192.215.2551,022
55232.192.216.0/22232.192.216.1 to 232.192.219.254232.192.219.2551,022
56232.192.220.0/22232.192.220.1 to 232.192.223.254232.192.223.2551,022
57232.192.224.0/22232.192.224.1 to 232.192.227.254232.192.227.2551,022
58232.192.228.0/22232.192.228.1 to 232.192.231.254232.192.231.2551,022
59232.192.232.0/22232.192.232.1 to 232.192.235.254232.192.235.2551,022
60232.192.236.0/22232.192.236.1 to 232.192.239.254232.192.239.2551,022
61232.192.240.0/22232.192.240.1 to 232.192.243.254232.192.243.2551,022
62232.192.244.0/22232.192.244.1 to 232.192.247.254232.192.247.2551,022
63232.192.248.0/22232.192.248.1 to 232.192.251.254232.192.251.2551,022
64232.192.252.0/22232.192.252.1 to 232.192.255.254232.192.255.2551,022
65232.193.0.0/22232.193.0.1 to 232.193.3.254232.193.3.2551,022
66232.193.4.0/22232.193.4.1 to 232.193.7.254232.193.7.2551,022
67232.193.8.0/22232.193.8.1 to 232.193.11.254232.193.11.2551,022
68232.193.12.0/22232.193.12.1 to 232.193.15.254232.193.15.2551,022
69232.193.16.0/22232.193.16.1 to 232.193.19.254232.193.19.2551,022
70232.193.20.0/22232.193.20.1 to 232.193.23.254232.193.23.2551,022
71232.193.24.0/22232.193.24.1 to 232.193.27.254232.193.27.2551,022
72232.193.28.0/22232.193.28.1 to 232.193.31.254232.193.31.2551,022
73232.193.32.0/22232.193.32.1 to 232.193.35.254232.193.35.2551,022
74232.193.36.0/22232.193.36.1 to 232.193.39.254232.193.39.2551,022
75232.193.40.0/22232.193.40.1 to 232.193.43.254232.193.43.2551,022
76232.193.44.0/22232.193.44.1 to 232.193.47.254232.193.47.2551,022
77232.193.48.0/22232.193.48.1 to 232.193.51.254232.193.51.2551,022
78232.193.52.0/22232.193.52.1 to 232.193.55.254232.193.55.2551,022
79232.193.56.0/22232.193.56.1 to 232.193.59.254232.193.59.2551,022
80232.193.60.0/22232.193.60.1 to 232.193.63.254232.193.63.2551,022
81232.193.64.0/22232.193.64.1 to 232.193.67.254232.193.67.2551,022
82232.193.68.0/22232.193.68.1 to 232.193.71.254232.193.71.2551,022
83232.193.72.0/22232.193.72.1 to 232.193.75.254232.193.75.2551,022
84232.193.76.0/22232.193.76.1 to 232.193.79.254232.193.79.2551,022
85232.193.80.0/22232.193.80.1 to 232.193.83.254232.193.83.2551,022
86232.193.84.0/22232.193.84.1 to 232.193.87.254232.193.87.2551,022
87232.193.88.0/22232.193.88.1 to 232.193.91.254232.193.91.2551,022
88232.193.92.0/22232.193.92.1 to 232.193.95.254232.193.95.2551,022
89232.193.96.0/22232.193.96.1 to 232.193.99.254232.193.99.2551,022
90232.193.100.0/22232.193.100.1 to 232.193.103.254232.193.103.2551,022
91232.193.104.0/22232.193.104.1 to 232.193.107.254232.193.107.2551,022
92232.193.108.0/22232.193.108.1 to 232.193.111.254232.193.111.2551,022
93232.193.112.0/22232.193.112.1 to 232.193.115.254232.193.115.2551,022
94232.193.116.0/22232.193.116.1 to 232.193.119.254232.193.119.2551,022
95232.193.120.0/22232.193.120.1 to 232.193.123.254232.193.123.2551,022
96232.193.124.0/22232.193.124.1 to 232.193.127.254232.193.127.2551,022
97232.193.128.0/22232.193.128.1 to 232.193.131.254232.193.131.2551,022
98232.193.132.0/22232.193.132.1 to 232.193.135.254232.193.135.2551,022
99232.193.136.0/22232.193.136.1 to 232.193.139.254232.193.139.2551,022
100232.193.140.0/22232.193.140.1 to 232.193.143.254232.193.143.2551,022
101232.193.144.0/22232.193.144.1 to 232.193.147.254232.193.147.2551,022
102232.193.148.0/22232.193.148.1 to 232.193.151.254232.193.151.2551,022
103232.193.152.0/22232.193.152.1 to 232.193.155.254232.193.155.2551,022
104232.193.156.0/22232.193.156.1 to 232.193.159.254232.193.159.2551,022
105232.193.160.0/22232.193.160.1 to 232.193.163.254232.193.163.2551,022
106232.193.164.0/22232.193.164.1 to 232.193.167.254232.193.167.2551,022
107232.193.168.0/22232.193.168.1 to 232.193.171.254232.193.171.2551,022
108232.193.172.0/22232.193.172.1 to 232.193.175.254232.193.175.2551,022
109232.193.176.0/22232.193.176.1 to 232.193.179.254232.193.179.2551,022
110232.193.180.0/22232.193.180.1 to 232.193.183.254232.193.183.2551,022
111232.193.184.0/22232.193.184.1 to 232.193.187.254232.193.187.2551,022
112232.193.188.0/22232.193.188.1 to 232.193.191.254232.193.191.2551,022
113232.193.192.0/22232.193.192.1 to 232.193.195.254232.193.195.2551,022
114232.193.196.0/22232.193.196.1 to 232.193.199.254232.193.199.2551,022
115232.193.200.0/22232.193.200.1 to 232.193.203.254232.193.203.2551,022
116232.193.204.0/22232.193.204.1 to 232.193.207.254232.193.207.2551,022
117232.193.208.0/22232.193.208.1 to 232.193.211.254232.193.211.2551,022
118232.193.212.0/22232.193.212.1 to 232.193.215.254232.193.215.2551,022
119232.193.216.0/22232.193.216.1 to 232.193.219.254232.193.219.2551,022
120232.193.220.0/22232.193.220.1 to 232.193.223.254232.193.223.2551,022
121232.193.224.0/22232.193.224.1 to 232.193.227.254232.193.227.2551,022
122232.193.228.0/22232.193.228.1 to 232.193.231.254232.193.231.2551,022
123232.193.232.0/22232.193.232.1 to 232.193.235.254232.193.235.2551,022
124232.193.236.0/22232.193.236.1 to 232.193.239.254232.193.239.2551,022
125232.193.240.0/22232.193.240.1 to 232.193.243.254232.193.243.2551,022
126232.193.244.0/22232.193.244.1 to 232.193.247.254232.193.247.2551,022
127232.193.248.0/22232.193.248.1 to 232.193.251.254232.193.251.2551,022
128232.193.252.0/22232.193.252.1 to 232.193.255.254232.193.255.2551,022
129232.194.0.0/22232.194.0.1 to 232.194.3.254232.194.3.2551,022
130232.194.4.0/22232.194.4.1 to 232.194.7.254232.194.7.2551,022
131232.194.8.0/22232.194.8.1 to 232.194.11.254232.194.11.2551,022
132232.194.12.0/22232.194.12.1 to 232.194.15.254232.194.15.2551,022
133232.194.16.0/22232.194.16.1 to 232.194.19.254232.194.19.2551,022
134232.194.20.0/22232.194.20.1 to 232.194.23.254232.194.23.2551,022
135232.194.24.0/22232.194.24.1 to 232.194.27.254232.194.27.2551,022
136232.194.28.0/22232.194.28.1 to 232.194.31.254232.194.31.2551,022
137232.194.32.0/22232.194.32.1 to 232.194.35.254232.194.35.2551,022
138232.194.36.0/22232.194.36.1 to 232.194.39.254232.194.39.2551,022
139232.194.40.0/22232.194.40.1 to 232.194.43.254232.194.43.2551,022
140232.194.44.0/22232.194.44.1 to 232.194.47.254232.194.47.2551,022
141232.194.48.0/22232.194.48.1 to 232.194.51.254232.194.51.2551,022
142232.194.52.0/22232.194.52.1 to 232.194.55.254232.194.55.2551,022
143232.194.56.0/22232.194.56.1 to 232.194.59.254232.194.59.2551,022
144232.194.60.0/22232.194.60.1 to 232.194.63.254232.194.63.2551,022
145232.194.64.0/22232.194.64.1 to 232.194.67.254232.194.67.2551,022
146232.194.68.0/22232.194.68.1 to 232.194.71.254232.194.71.2551,022
147232.194.72.0/22232.194.72.1 to 232.194.75.254232.194.75.2551,022
148232.194.76.0/22232.194.76.1 to 232.194.79.254232.194.79.2551,022
149232.194.80.0/22232.194.80.1 to 232.194.83.254232.194.83.2551,022
150232.194.84.0/22232.194.84.1 to 232.194.87.254232.194.87.2551,022
151232.194.88.0/22232.194.88.1 to 232.194.91.254232.194.91.2551,022
152232.194.92.0/22232.194.92.1 to 232.194.95.254232.194.95.2551,022
153232.194.96.0/22232.194.96.1 to 232.194.99.254232.194.99.2551,022
154232.194.100.0/22232.194.100.1 to 232.194.103.254232.194.103.2551,022
155232.194.104.0/22232.194.104.1 to 232.194.107.254232.194.107.2551,022
156232.194.108.0/22232.194.108.1 to 232.194.111.254232.194.111.2551,022
157232.194.112.0/22232.194.112.1 to 232.194.115.254232.194.115.2551,022
158232.194.116.0/22232.194.116.1 to 232.194.119.254232.194.119.2551,022
159232.194.120.0/22232.194.120.1 to 232.194.123.254232.194.123.2551,022
160232.194.124.0/22232.194.124.1 to 232.194.127.254232.194.127.2551,022
161232.194.128.0/22232.194.128.1 to 232.194.131.254232.194.131.2551,022
162232.194.132.0/22232.194.132.1 to 232.194.135.254232.194.135.2551,022
163232.194.136.0/22232.194.136.1 to 232.194.139.254232.194.139.2551,022
164232.194.140.0/22232.194.140.1 to 232.194.143.254232.194.143.2551,022
165232.194.144.0/22232.194.144.1 to 232.194.147.254232.194.147.2551,022
166232.194.148.0/22232.194.148.1 to 232.194.151.254232.194.151.2551,022
167232.194.152.0/22232.194.152.1 to 232.194.155.254232.194.155.2551,022
168232.194.156.0/22232.194.156.1 to 232.194.159.254232.194.159.2551,022
169232.194.160.0/22232.194.160.1 to 232.194.163.254232.194.163.2551,022
170232.194.164.0/22232.194.164.1 to 232.194.167.254232.194.167.2551,022
171232.194.168.0/22232.194.168.1 to 232.194.171.254232.194.171.2551,022
172232.194.172.0/22232.194.172.1 to 232.194.175.254232.194.175.2551,022
173232.194.176.0/22232.194.176.1 to 232.194.179.254232.194.179.2551,022
174232.194.180.0/22232.194.180.1 to 232.194.183.254232.194.183.2551,022
175232.194.184.0/22232.194.184.1 to 232.194.187.254232.194.187.2551,022
176232.194.188.0/22232.194.188.1 to 232.194.191.254232.194.191.2551,022
177232.194.192.0/22232.194.192.1 to 232.194.195.254232.194.195.2551,022
178232.194.196.0/22232.194.196.1 to 232.194.199.254232.194.199.2551,022
179232.194.200.0/22232.194.200.1 to 232.194.203.254232.194.203.2551,022
180232.194.204.0/22232.194.204.1 to 232.194.207.254232.194.207.2551,022
181232.194.208.0/22232.194.208.1 to 232.194.211.254232.194.211.2551,022
182232.194.212.0/22232.194.212.1 to 232.194.215.254232.194.215.2551,022
183232.194.216.0/22232.194.216.1 to 232.194.219.254232.194.219.2551,022
184232.194.220.0/22232.194.220.1 to 232.194.223.254232.194.223.2551,022
185232.194.224.0/22232.194.224.1 to 232.194.227.254232.194.227.2551,022
186232.194.228.0/22232.194.228.1 to 232.194.231.254232.194.231.2551,022
187232.194.232.0/22232.194.232.1 to 232.194.235.254232.194.235.2551,022
188232.194.236.0/22232.194.236.1 to 232.194.239.254232.194.239.2551,022
189232.194.240.0/22232.194.240.1 to 232.194.243.254232.194.243.2551,022
190232.194.244.0/22232.194.244.1 to 232.194.247.254232.194.247.2551,022
191232.194.248.0/22232.194.248.1 to 232.194.251.254232.194.251.2551,022
192232.194.252.0/22232.194.252.1 to 232.194.255.254232.194.255.2551,022
193232.195.0.0/22232.195.0.1 to 232.195.3.254232.195.3.2551,022
194232.195.4.0/22232.195.4.1 to 232.195.7.254232.195.7.2551,022
195232.195.8.0/22232.195.8.1 to 232.195.11.254232.195.11.2551,022
196232.195.12.0/22232.195.12.1 to 232.195.15.254232.195.15.2551,022
197232.195.16.0/22232.195.16.1 to 232.195.19.254232.195.19.2551,022
198232.195.20.0/22232.195.20.1 to 232.195.23.254232.195.23.2551,022
199232.195.24.0/22232.195.24.1 to 232.195.27.254232.195.27.2551,022
200232.195.28.0/22232.195.28.1 to 232.195.31.254232.195.31.2551,022
201232.195.32.0/22232.195.32.1 to 232.195.35.254232.195.35.2551,022
202232.195.36.0/22232.195.36.1 to 232.195.39.254232.195.39.2551,022
203232.195.40.0/22232.195.40.1 to 232.195.43.254232.195.43.2551,022
204232.195.44.0/22232.195.44.1 to 232.195.47.254232.195.47.2551,022
205232.195.48.0/22232.195.48.1 to 232.195.51.254232.195.51.2551,022
206232.195.52.0/22232.195.52.1 to 232.195.55.254232.195.55.2551,022
207232.195.56.0/22232.195.56.1 to 232.195.59.254232.195.59.2551,022
208232.195.60.0/22232.195.60.1 to 232.195.63.254232.195.63.2551,022
209232.195.64.0/22232.195.64.1 to 232.195.67.254232.195.67.2551,022
210232.195.68.0/22232.195.68.1 to 232.195.71.254232.195.71.2551,022
211232.195.72.0/22232.195.72.1 to 232.195.75.254232.195.75.2551,022
212232.195.76.0/22232.195.76.1 to 232.195.79.254232.195.79.2551,022
213232.195.80.0/22232.195.80.1 to 232.195.83.254232.195.83.2551,022
214232.195.84.0/22232.195.84.1 to 232.195.87.254232.195.87.2551,022
215232.195.88.0/22232.195.88.1 to 232.195.91.254232.195.91.2551,022
216232.195.92.0/22232.195.92.1 to 232.195.95.254232.195.95.2551,022
217232.195.96.0/22232.195.96.1 to 232.195.99.254232.195.99.2551,022
218232.195.100.0/22232.195.100.1 to 232.195.103.254232.195.103.2551,022
219232.195.104.0/22232.195.104.1 to 232.195.107.254232.195.107.2551,022
220232.195.108.0/22232.195.108.1 to 232.195.111.254232.195.111.2551,022
221232.195.112.0/22232.195.112.1 to 232.195.115.254232.195.115.2551,022
222232.195.116.0/22232.195.116.1 to 232.195.119.254232.195.119.2551,022
223232.195.120.0/22232.195.120.1 to 232.195.123.254232.195.123.2551,022
224232.195.124.0/22232.195.124.1 to 232.195.127.254232.195.127.2551,022
225232.195.128.0/22232.195.128.1 to 232.195.131.254232.195.131.2551,022
226232.195.132.0/22232.195.132.1 to 232.195.135.254232.195.135.2551,022
227232.195.136.0/22232.195.136.1 to 232.195.139.254232.195.139.2551,022
228232.195.140.0/22232.195.140.1 to 232.195.143.254232.195.143.2551,022
229232.195.144.0/22232.195.144.1 to 232.195.147.254232.195.147.2551,022
230232.195.148.0/22232.195.148.1 to 232.195.151.254232.195.151.2551,022
231232.195.152.0/22232.195.152.1 to 232.195.155.254232.195.155.2551,022
232232.195.156.0/22232.195.156.1 to 232.195.159.254232.195.159.2551,022
233232.195.160.0/22232.195.160.1 to 232.195.163.254232.195.163.2551,022
234232.195.164.0/22232.195.164.1 to 232.195.167.254232.195.167.2551,022
235232.195.168.0/22232.195.168.1 to 232.195.171.254232.195.171.2551,022
236232.195.172.0/22232.195.172.1 to 232.195.175.254232.195.175.2551,022
237232.195.176.0/22232.195.176.1 to 232.195.179.254232.195.179.2551,022
238232.195.180.0/22232.195.180.1 to 232.195.183.254232.195.183.2551,022
239232.195.184.0/22232.195.184.1 to 232.195.187.254232.195.187.2551,022
240232.195.188.0/22232.195.188.1 to 232.195.191.254232.195.191.2551,022
241232.195.192.0/22232.195.192.1 to 232.195.195.254232.195.195.2551,022
242232.195.196.0/22232.195.196.1 to 232.195.199.254232.195.199.2551,022
243232.195.200.0/22232.195.200.1 to 232.195.203.254232.195.203.2551,022
244232.195.204.0/22232.195.204.1 to 232.195.207.254232.195.207.2551,022
245232.195.208.0/22232.195.208.1 to 232.195.211.254232.195.211.2551,022
246232.195.212.0/22232.195.212.1 to 232.195.215.254232.195.215.2551,022
247232.195.216.0/22232.195.216.1 to 232.195.219.254232.195.219.2551,022
248232.195.220.0/22232.195.220.1 to 232.195.223.254232.195.223.2551,022
249232.195.224.0/22232.195.224.1 to 232.195.227.254232.195.227.2551,022
250232.195.228.0/22232.195.228.1 to 232.195.231.254232.195.231.2551,022
251232.195.232.0/22232.195.232.1 to 232.195.235.254232.195.235.2551,022
252232.195.236.0/22232.195.236.1 to 232.195.239.254232.195.239.2551,022
253232.195.240.0/22232.195.240.1 to 232.195.243.254232.195.243.2551,022
254232.195.244.0/22232.195.244.1 to 232.195.247.254232.195.247.2551,022
255232.195.248.0/22232.195.248.1 to 232.195.251.254232.195.251.2551,022
256232.195.252.0/22232.195.252.1 to 232.195.255.254232.195.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses